/*-----------------------------------------------
Menu responsive de MBT modificado por Minerva Aurora
Tutorial disponible en http://minervaurora.blogspot.com/2017/10/menu-responsive-desplegable-iconos-sociales-buscador.html
Libre para uso personal manteniendo la atribución intacta
----------------------------------------------- */
body {
    margin: 0px;
    padding-right: 0px;
    padding-left: 0px;
}

.barra {
    width: 1080px;
    /*ancho del blog*/
    margin: 0 auto;
    position: relative;
    text-overflow: clip;
    /*
    overflow:scroll;
    overflow-x: hidden;
    overflow-y: hidden;
    */
}

#menu {
    padding-left: 10px;
    color: #333;
    /*color de las tres barritas*/
    height: 3.0em;
    border-bottom: 1px solid rgba(0, 0, 0, .05);
    position: fixed;
    z-index: 101;
    white-space: nowrap;
    text-overflow:clip;

}

#menu ul, #menu li {
    margin: 0px auto;
    padding: 0px 10px;
    list-style: none;
}

#menu .iconos {
    margin-left: 0px;
}

#menu li {
    float: left;
    display: inline;
    position: relative;
    /*tamaño y fuente del texto */
}

#menu ul a {
    font-size: 1.0em;
    font-weight: bold;
    display: block;
    line-height: 3em;
    padding: 0px 1px 0px 1px;
    text-decoration: double;
    color: rgb(224, 224, 224);
    /*color del texto*/
    text-transform: uppercase;
    letter-spacing: 0.02vw;
    /*espacio entre letras*/
}

#menu li a:hover {
    color: rgb(0, 0, 0);
    /* color del texto al pasar el ratón*/
    text-decoration: none;
    -webkit-transition: all .1s ease-in-out;
    -moz-transition: all .1s ease-in-out;
    -ms-transition: all .1s ease-in-out;
    -o-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out;
}

#menu input {
    display: none;
    margin: 0 0;
    padding: 0 0;
    width: 50px;
    height: 50px;
    opacity: 0;
    cursor: pointer
}

#menu label {
    display: none;
    width: 50px;
    height: 50px;
    line-height: 50px;
    text-align: center;
    font-size: 1.0em;
    vertical-align: middle;
}

#menu ul.menus {
    height: auto;
    overflow: hidden;
    width: 170px;
    background: #F1F1F1;
    /*color del fondo del submenu*/
    position: absolute;
    z-index: 99;
    display: none;
    border: 1px solid rgba(0, 0, 0, .05);
}

#menu ul.menus li {
    display: block;
    width: 100%;
    font-size: 1em;
    /*tamaño y fuente del  texto del submenu*/
    /*text-transform: uppercase;*/
    border-bottom: 1px solid #E9E9E9;
}

#menu ul.menus li:last-child {
    border-bottom: none;
}

#menu ul.menus a {
    color: #333;
    /*color del  texto del submenu*/
    line-height: 35px;
}

#menu li:hover ul.menus {
    display: block;
}

#menu ul.menus a:hover {
    color: #999;
    /*color del  texto del submenu al pasar el ratón*/
    -webkit-transition: all .1s ease-in-out;
    -moz-transition: all .1s ease-in-out;
    -ms-transition: all .1s ease-in-out;
    -o-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out;
}

.iconos a {
    padding: 0 10px;
    height: 3em;
    display: inline-block;
}

#menu .iconos .fa {
    font-size: 1.2em;
    line-height: 3em;
    color: rgb(212, 212, 212);
    /*color del icono social*/
    -webkit-transition: all .1s ease-in-out;
    -moz-transition: all .1s ease-in-out;
    -ms-transition: all .1s ease-in-out;
    -o-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out;
}

#menu ul .fa {
    font-size: 0.8em;
    position: relative;
    top: -1px;
}

#menu .iconos .fa:hover {
    color: #999;
    /*color del icono social al pasar el ratón*/
}

#menu .iconos::after {
    content: "";
    display: inline-block;
    width: 1px;
    height: 10px;
    background-color: #000;
    margin-left: 5px;
    opacity: .1;
}

#buscador {
    position: absolute;
    left: 10em;
    top: -0em;
    width: 3em;
    text-align: center;
    z-index: 150;
}

#buscador a {
    height: 50px;
    font-size: 1.25em;
    line-height: 50px;
    color: rgb(255, 255, 255);
    display: block;
    -webkit-transition: all 0.2s linear;
    -moz-transition: all 0.2s linear;
    -ms-transition: all 0.2s linear;
    -o-transition: all 0.2s linear;
    transition: all 0.2s linear;
    width: 50px;
}

#buscador a:hover {
    color: #999;
}

.busqueda {
    position: fixed;
    top: 3em;
    left: 10em;
    display: none;
    z-index: 10000;
}


.fa {
    font-size: 1.5em;

}

.busqueda #searchform input#s {
    border: 1px solid #e5e5e5;
    width: 20em;
    background: #FFF;
    padding: 0.5em 0.5em;
    font-size: 1.2em;
    color: #636363;
    letter-spacing: 1px;
    display: block;
    opacity: 1;
}

.busqueda #searchform input#s:focus {
    border: 1px solid #d5d5d5;
}

@media screen and (max-width: 800px) {
    #menu {
        position: fixed;
        z-index: 101;
    }

    #menu ul {
        background: #F1F1F1;
        /*color del desplegable del menu movil*/
        position: absolute;
        top: 100%;
        right: 0;
        left: 0;
        z-index: 3;
        height: auto;
        display: none
    }

    #menu ul.menus {
        width: 100%;
        position: static;
        padding-left: 20px
    }

    #menu li {
        display: block;
        float: none;
        width: auto;
        font-size: 1em;
    }

    #menu ul a {
        display: block;
        line-height: 40px;
        padding: 0 14px;
    }

    #menu input, #menu label {
        position: absolute;
        top: 0;
        left: 0;
        display: block;
    }

    #menu input {
        z-index: 4
    }

    #menu input:checked+label {
        color: #333;
        /*color de las tres barritas una vez se clica*/
    }

    #menu input:checked~ul {
        display: block;
        top: 50px;
    }

    .barra {
        width: 95% !important;
    }

    .busqueda {
        right: 15em !important;
    }
}

/*-----fin menu responsive-----*/